﻿
Public Class frmStatusBarDemo

    Private Sub frmStatusBarDemo_Load(ByVal eventSender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        sbrpnlMainText.Text = "Ready."

        sbrpnlCapsLock.Enabled = My.Computer.Keyboard.CapsLock
        sbrpnlNumLock.Enabled = My.Computer.Keyboard.NumLock
        sbrpnlScrollLock.Enabled = My.Computer.Keyboard.ScrollLock
        sbrpnlInsMode.Text = "INS"

        SetShowDateTime()

    End Sub

    Private Sub frmStatusBarDemo_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown

        Select Case e.KeyCode
            Case Keys.CapsLock
                sbrpnlCapsLock.Enabled = Not sbrpnlCapsLock.Enabled
            Case Keys.NumLock
                sbrpnlNumLock.Enabled = Not sbrpnlNumLock.Enabled
            Case Keys.Scroll
                sbrpnlScrollLock.Enabled = Not sbrpnlScrollLock.Enabled
            Case Keys.Insert
                sbrpnlInsMode.Text = IIf(sbrpnlInsMode.Text = "OVR", "INS", "OVR")
        End Select

    End Sub

    Private Sub Button_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) _
    Handles btnReports.MouseHover, _
            btnUtilities.MouseHover, _
            btnExit.MouseHover

        Dim objBtn As Button = DirectCast(sender, Button)

        Select Case objBtn.Name
            Case "btnReports"
                sbrpnlMainText.Text = "Run a report."
            Case "btnUtilities"
                sbrpnlMainText.Text = "Perform a utility."
            Case Else
                sbrpnlMainText.Text = "Exit this program."
        End Select

    End Sub

    Private Sub Button_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs) _
    Handles btnReports.MouseLeave, _
            btnUtilities.MouseLeave, _
            btnExit.MouseLeave

        sbrpnlMainText.Text = "Ready."

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

    Private Sub tmrTime_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrTime.Tick
        SetShowDateTime()
    End Sub

    Private Sub SetShowDateTime()
        Dim dtmNow As Date = Date.Now
        sbrpnlDate.Text = FormatDateTime(dtmNow, DateFormat.ShortDate)
        sbrpnlTime.Text = Format(dtmNow, "h:mm tt")
    End Sub

End Class